Release fraud order by order ID - Fabric
Release fraud order by order ID
cURL
curl --request POST \
--url https://api.fabric.inc/v3/orders/{orderId}/actions/fraud-release \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/orders/{orderId}/actions/fraud-release"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/fraud-release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: OK
- 400: Bad request
- 401: Unauthorized request
- 404: Not found
- 500: Internal server error
Response Examples
200 OK
{
"message": "OK"
}
400 Bad Request
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
401 Unauthorized
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
404 Not Found
{
"message": "An order with the orderNumber specified was not found",
"type": "CLIENT_ERROR"
}
500 Internal Server Error
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
Authorization
- Type: string
- In: header
- Required: Yes
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
- x-fabric-tenant-id: Required tenant ID in the authentication header.
- x-fabric-channel-id: Required channel ID for the sales channel.
Path Parameters
- orderId: Required 24-character system-generated order ID.